hash_table_s Struct Reference

## Data Fields

hash_entry_t * | table
int32 | size
| Primary hash table, excluding entries that collide.
int32 | inuse
| Primary hash table size, (is a prime#); NOTE: This is the number of primary entries ALLOCATED, NOT the number of valid entries in the table.
int32 | nocase
| Number of valid entries in the table.

## Detailed Description

Definition at line 159 of file hash_table.h.

## Field Documentation

## inuse

int32 hash_table_s::inuse

Primary hash table size, (is a prime#); NOTE: This is the number of primary entries ALLOCATED, NOT the number of valid entries in the table.

Definition at line 164 of file hash_table.h.

Referenced by hash_table_empty().

## nocase

int32 hash_table_s::nocase

Number of valid entries in the table.

Definition at line 165 of file hash_table.h.

Referenced by hash_table_new().

## size

int32 hash_table_s::size

Primary hash table, excluding entries that collide.

Definition at line 161 of file hash_table.h.

Referenced by hash_table_display(), hash_table_empty(), hash_table_free(), hash_table_iter_next(), hash_table_new(), and hash_table_tolist().

## table

hash_entry_t* hash_table_s::table

Definition at line 160 of file hash_table.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/hash_table.h